# Uses of Class
org.apache.wiki.workflow.Decision

Packages that use Decision
Package
Description
org.apache.wiki.workflow

## Uses of Decision in org.apache.wiki.workflow

Subclasses of Decision in org.apache.wiki.workflow
Modifier and Type
Class
Description
`class`
`SimpleDecision`
Decision subclass that includes two available Outcomes: `Outcome.DECISION_APPROVE` or `Outcome.DECISION_DENY`.
`final class`
`SimpleNotification`
Decision subclass used for notifications that includes only one available Outcome: `Outcome.DECISION_ACKNOWLEDGE`.
Methods in org.apache.wiki.workflow that return Decision
Modifier and Type
Method
Description
`protected Decision[]`
DecisionQueue.`decisions()`
Protected method that returns all pending Decisions in the queue, in order of submission.
Methods in org.apache.wiki.workflow that return types with arguments of type Decision
Modifier and Type
Method
Description
`Collection<Decision>`
DecisionQueue.`getActorDecisions(org.apache.wiki.api.core.Session session)`
Returns a Collection representing the current Decisions that pertain to a users's Session.
Methods in org.apache.wiki.workflow with parameters of type Decision
Modifier and Type
Method
Description
`protected void`
DecisionQueue.`add(Decision decision)`
Adds a Decision to the DecisionQueue; also sets the Decision's unique identifier.
`protected void`
DefaultWorkflowManager.`addToDecisionQueue(Decision decision)`
`void`
DecisionQueue.`decide(Decision decision, Outcome outcome, org.apache.wiki.api.core.Context context)`
Attempts to complete a Decision by calling `decide(Outcome, Context)`.
`void`
DecisionQueue.`reassign(Decision decision, Principal owner)`
Reassigns the owner of the Decision to a new owner.
`protected void`
DecisionQueue.`remove(Decision decision)`
Protected method that removes a Decision from the queue.
`protected void`
DefaultWorkflowManager.`removeFromDecisionQueue(Decision decision, org.apache.wiki.api.core.Context context)`